Subject: [Add] [Editorial Errata Reported] RFC9606 (8425)
From: RFC Errata System <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 20 May 2025 00:41:49 -0700 (PDT)
List-Id: Applications Doing DNS <add.ietf.org>

The following errata report has been submitted for RFC9606,
"DNS Resolver Information".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid8425

--------------------------------------
Type: Editorial
Reported by: Mathias Koerber <[email-masked]>

Section: 3, paragraph 2

Original Text
-------------
A DNS client can retrieve the resolver information using
the RESINFO RR  type and the QNAME of the domain name that
is used to authenticate the DNS resolver (referred to as
the Authentication Domain Name (ADN) in DNR [RFC9463]).

Corrected Text
--------------
A DNS client can retrieve the resolver information using
the RESINFO RR  type and the QNAME of the domain name that
is used to authenticate the DNS resolver (referred to as
the Authentication Domain Name (ADN) in DNR [RFC9463])

Notes
-----
The link to RFC9463 at the end of the paragraph has an Anchor of  
   https://www.rfc-editor.org/rfc/rfc9606.html#RFC9463
which just pointspback to itself, instead of to the actual RFC946 document

The correct link should IMHO be
  https://www.rfc-editor.org/rfc/rfc9463

(or maybe it should point to the relevant line in Section 9 References that has details of the RFCs)?

Instructions:
-------------
This erratum is currently posted as "Reported". (If it is spam, it 
will be removed shortly by the RFC Production Center.) Please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
will log in to change the status and edit the report, if necessary.

--------------------------------------
RFC9606 (draft-ietf-add-resolver-info-13)
--------------------------------------
Title               : DNS Resolver Information
Publication Date    : June 2024
Author(s)           : T. Reddy.K, M. Boucadair
Category            : PROPOSED STANDARD
Source              : Adaptive DNS Discovery
Stream              : IETF
Verifying Party     : IESG